# Method: projects.zones.clusters.logging

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters/logging#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters/logging#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters/logging#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters/logging#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters/logging#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters/logging#body.aspect)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters/logging#try-it)

Sets the logging service for a specific cluster.

### HTTP request

`POST https://container.googleapis.com/v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/logging`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId (deprecated)` | `string` Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field. |
| `zone (deprecated)` | `string` Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field. |
| `clusterId (deprecated)` | `string` Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "loggingService": string, "name": string } ``` |

| Fields ||
|---|---|
| `loggingService` | `string` Required. The logging service the cluster should use to write logs. Currently available options: - `logging.googleapis.com/kubernetes` - The Cloud Logging service with a Kubernetes-native resource model - `logging.googleapis.com` - The legacy Cloud Logging service (no longer available as of GKE 1.15). - `none` - no logs will be exported from the cluster. If left as an empty string,`logging.googleapis.com/kubernetes` will be used for GKE 1.14+ or `logging.googleapis.com` for earlier versions. |
| `name` | `string` The name (project, location, cluster) of the cluster to set logging. Specified in the format `projects/*/locations/*/clusters/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `container.clusters.update` |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/container`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).